# class Raven::Processor::UTF8Conversion

### Public Instance Methods

process(value) click to toggle source

    # File lib/raven/processor/utf8conversion.rb, line 3
    def process(value)
      if value.is_a? Array
        value.map { |v| process v }
      elsif value.is_a? Hash
        value.merge(value) { |_, v| process v }
      elsif value.is_a?(Exception) && !value.message.valid_encoding?
        clean_exc = value.class.new(clean_invalid_utf8_bytes(value.message))
        clean_exc.set_backtrace(value.backtrace)
        clean_exc
      else
        clean_invalid_utf8_bytes(value)
      end
    end